﻿@model List<vmSistema>


<thead>
    <tr>
        <th>Id</th>
        <th>Nombre</th>
        <th>Descripción</th>
        <th>Fecha Act.</th>
        <th>Estado</th>
        <th></th>
    </tr>
</thead>
<tbody>
    @if (Model != null)
    {
        @foreach (var item in Model)
        {
    <tr>
        <td>@Html.DisplayFor(modelItem => item.ISstma)</td>
        <td>@Html.DisplayFor(modelItem => item.Nmbre)</td>
        <td>@Html.DisplayFor(modelItem => item.Dscrpcn)</td>
        <td>@Html.DisplayFor(modelItem => item.FActlzcn)</td>
        <td>
            @if (item.CEstdo == "A")
            {
                <span class="label label-success">Activo</span>
            }
            else
            {
                <span class="label label-danger">Inactivo</span>
            }
        </td>
        <td>
            <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Editar">
                <a id="edit"
                   data-toggle="modal"
                   data-target="#modal-action"
                   data-ajax-success ="success"
                   data-ajax="true"
                   data-ajax-url="/Sistema/EditarSistema/@item.ISstma"
                   class="@ColorBoton.Info">
                    <i class="@IconoBoton.Editar"></i>
                </a>
            </span>
            @{ 
                var disable = string.Empty;
                var tooltip = "Eliminar";

                if (item.TieneModulo)
                {
                    disable = "disabled";
                    tooltip = "Para Eliminar, elimine sus modulos primero";
                }
            }
            <span>
                <a id="delete"
                   data-ajax-confirm="Está seguro que desea eliminar el sistema @item.Nmbre ?"
                   data-ajax-success="success"
                   data-ajax="true"
                   data-ajax-url="/Sistema/EliminarSistema/@item.ISstma"
                   data-ajax-update="#tablaSistema"
                   class="@ColorBoton.Error @disable"
                   title="@tooltip">
                    <i class="@IconoBoton.Eliminar"></i>
                </a>
            </span>
        </td>
    </tr>
        }
    }
</tbody>

